/*!
 * \file esysos/esysos.rc
 * \brief WIN32 resource file
 *
 * \cond
 *__legal_b__
 *
 *__legal_e__
 * \endcond
 *
 */

#include "../include/esys/os/version.h"

esysos     ICON "libesys_no_text.ico"

libesys_no_text_16px    RCDATA "libesys_no_text_16px.png"
libesys_no_text_32px    RCDATA "libesys_no_text_32px.png"
libesys_no_text_64px    RCDATA "libesys_no_text_64px.png"
libesys_no_text_128px   RCDATA "libesys_no_text_128px.png"

#ifdef WIN32
#include <windows.h>
#endif

#ifdef _MSC_VER
#define PRIVATEBUILD_T "Visual C++\000"
#elif __GNUC__
#define PRIVATEBUILD_T "GNU compiler\000"
#else
#define PRIVATEBUILD_T "\000"
#endif

1 VERSIONINFO
 FILEVERSION ESYSOS_MAJOR_VERSION,ESYSOS_MINOR_VERSION,ESYSOS_RELEASE_NUMBER,ESYSOS_BETA_NUMBER
 PRODUCTVERSION ESYSOS_MAJOR_VERSION,ESYSOS_MINOR_VERSION,ESYSOS_RELEASE_NUMBER,ESYSOS_BETA_NUMBER
 FILEFLAGSMASK 0x3fL
 FILEFLAGS VS_FF_PRERELEASE
 FILEOS VOS__WINDOWS32
 FILETYPE VFT_APP
 FILESUBTYPE VFT2_UNKNOWN
BEGIN
    BLOCK "StringFileInfo"
    BEGIN
        // US English Ascii; see http://msdn.microsoft.com/library/psdk/winui/rc_3rxn.htm for codes
        //BLOCK "04090000"
	  /* Language type = U.S English(0x0409) and Character Set = Windows, Multilingual(0x04E4) */
	  BLOCK "040904E4"
        BEGIN
            VALUE "Comments", "ESysOS Library\000"
            VALUE "CompanyName", "UltraDuino\000"
            VALUE "FileDescription", "esysos for Windows\000"
            VALUE "FileVersion", ESYSOS_VERSION_NUM_DOT_STRING "\000"
            VALUE "InternalName", "esysos\000"
            VALUE "LegalCopyright", "© 2022 Michel Gillet\000"
            VALUE "LegalTrademarks", "\000"
            VALUE "OriginalFilename", "{{ target_file_name }}\000"
            VALUE "PrivateBuild", PRIVATEBUILD_T
            VALUE "ProductName", "ESysOS\000"
            VALUE "ProductVersion", ESYSOS_VERSION_NUM_DOT_STRING "\000"
            VALUE "SpecialBuild", "\000"
        END
#ifdef _MSC_VER
        //US English Unicode; see http://msdn.microsoft.com/library/psdk/winui/rc_3rxn.htm for codes
        BLOCK "040904b0"
        BEGIN
            VALUE "Comments", "ESysOS Library\000"
            VALUE "CompanyName", "HamletG\000"
            VALUE "FileDescription", "ESysOS for Windows\000"
            VALUE "FileVersion", ESYSOS_VERSION_NUM_DOT_STRING "\000"
            VALUE "InternalName", "esysos\000"
            VALUE "LegalCopyright", "© 2022 Michel Gillet\000"
            VALUE "LegalTrademarks", "\000"
            VALUE "OriginalFilename", "{{ target_file_name }}\000"
            VALUE "PrivateBuild", PRIVATEBUILD_T
            VALUE "ProductName", "ESysOS\000"
            VALUE "ProductVersion", ESYSOS_VERSION_NUM_DOT_STRING "\000"
            VALUE "SpecialBuild", "\000"
        END
#endif
    END
  BLOCK "VarFileInfo"
  BEGIN
    VALUE "Translation", 0x0409, 0x04E4
  END

END
